aboutsummaryrefslogtreecommitdiff
path: root/git-repack.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-09-18 02:29:01 -0700
committerJunio C Hamano <junkio@cox.net>2006-09-20 11:15:32 -0700
commitcd0d74d2f9c7578b36e705dda55f79731dbe9696 (patch)
tree5e0bb6ec8161f3fe7142116b64a84c5081d4b620 /git-repack.sh
parent62e27f273d66afa996cb7aee6cdb25fbedc053f6 (diff)
downloadgit-cd0d74d2f9c7578b36e705dda55f79731dbe9696.tar.gz
git-cd0d74d2f9c7578b36e705dda55f79731dbe9696.tar.xz
repack: use only pack-objects, not rev-list.
Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-repack.sh')
-rwxr-xr-xgit-repack.sh13
1 files changed, 4 insertions, 9 deletions
diff --git a/git-repack.sh b/git-repack.sh
index b525fc5df..9ae509220 100755
--- a/git-repack.sh
+++ b/git-repack.sh
@@ -32,12 +32,10 @@ trap 'rm -f "$PACKTMP"-*' 0 1 2 3 15
# There will be more repacking strategies to come...
case ",$all_into_one," in
,,)
- rev_list='--unpacked'
- pack_objects='--incremental'
+ args='--unpacked --incremental'
;;
,t,)
- rev_list=
- pack_objects=
+ args=
# Redundancy check in all-into-one case is trivial.
existing=`test -d "$PACKDIR" && cd "$PACKDIR" && \
@@ -45,11 +43,8 @@ case ",$all_into_one," in
;;
esac
-pack_objects="$pack_objects $local $quiet $no_reuse_delta$extra"
-name=$( { git-rev-list --objects --all $rev_list ||
- echo "git-rev-list died with exit code $?"
- } |
- git-pack-objects --non-empty $pack_objects "$PACKTMP") ||
+args="$args $local $quiet $no_reuse_delta$extra"
+name=$(git-pack-objects --non-empty --all $args </dev/null "$PACKTMP") ||
exit 1
if [ -z "$name" ]; then
echo Nothing new to pack.